MessagePointer (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.MessagePointer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class MessagePointer

    java.lang.Object
      org.codehaus.activemq.service.impl.MessagePointer

class MessagePointer
extends Object

An entry for a message to be dispatched

Version:
  $Revision: 1.5 $

Constructor Summary
`MessagePointer(MessageContainer container, MessageIdentity messageIdentity)` Create a message ptr

Method Summary
`void` | `clear()` Simply remove the interest in the message
`void` | `delete(MessageAck ack)` Notify the container it should delete the message
`MessageContainer` | `getContainer()`
`MessageIdentity` | `getMessageIdentity()`
`boolean` | `isDispatched()`
`boolean` | `isRead()`
`boolean` | `isRedelivered()`
`void` | `reset()` Reset default states for this MessagePointer
`void` | `setContainer(MessageContainer container)`
`void` | `setDispatched(boolean dispatched)`
`void` | `setMessageIdentity(MessageIdentity messageIdentity)`
`void` | `setRead(boolean read)`
`void` | `setRedelivered(boolean redelivered)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePointer

    public MessagePointer(MessageContainer container,
                          MessageIdentity messageIdentity)
                   throws JMSException

  Create a message ptr

Parameters:
  `container` - the container where the message is held
  `messageIdentity` - the id of the message
Throws:
  `JMSException`

Method Detail

### reset

    public void reset()

  Reset default states for this MessagePointer

### clear

    public void clear()
               throws JMSException

  Simply remove the interest in the message

  Throws:
    `JMSException`

### delete

    public void delete(MessageAck ack)
                throws JMSException

  Notify the container it should delete the message

  Parameters:
    `ack` -
  Throws:
    `JMSException`

### getContainer

    public MessageContainer getContainer()

  Returns:
    Returns the container.

### setContainer

    public void setContainer(MessageContainer container)

  Parameters:
    `container` - The container to set.

### isDispatched

    public boolean isDispatched()

  Returns:
    Returns the dispatched.

### setDispatched

    public void setDispatched(boolean dispatched)

  Parameters:
    `dispatched` - The dispatched to set.

### isRead

    public boolean isRead()

  Returns:
    Returns the read.

### setRead

    public void setRead(boolean read)

  Parameters:
    `read` - The read to set.

### getMessageIdentity

    public MessageIdentity getMessageIdentity()

### setMessageIdentity

    public void setMessageIdentity(MessageIdentity messageIdentity)

### isRedelivered

    public boolean isRedelivered()

  Returns:
    Returns the redilivered.

### setRedelivered

    public void setRedelivered(boolean redelivered)

  Parameters:
    `redelivered` - The redilivered to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.